Bug 1416106 - [RFE] API to rerun a Remote Execution job against the failed hosts.
Summary: [RFE] API to rerun a Remote Execution job against the failed hosts.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Remote Execution
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
medium
medium with 1 vote vote
Target Milestone: 6.4.0
Assignee: Adam Ruzicka
QA Contact: Peter Ondrejka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-24 15:37 UTC by Sagar Lutade
Modified: 2019-11-05 23:02 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 15:27:25 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2927 None None None 2018-10-16 15:28:17 UTC
Foreman Issue Tracker 20692 'Normal' 'Closed' 'API to rerun a Remote Execution job against the failed hosts. ' 2019-11-11 10:49:28 UTC

Comment 3 Adam Ruzicka 2017-08-22 11:45:42 UTC
Created redmine issue http://projects.theforeman.org/issues/20692 from this bug

Comment 4 pm-sat@redhat.com 2017-10-19 10:01:24 UTC
Upstream bug assigned to aruzicka@redhat.com

Comment 5 pm-sat@redhat.com 2017-10-19 10:01:28 UTC
Upstream bug assigned to aruzicka@redhat.com

Comment 6 pm-sat@redhat.com 2018-03-02 17:01:35 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/20692 has been resolved.

Comment 7 Peter Ondrejka 2018-04-05 12:29:25 UTC
verified upstream with
foreman-1.18.0-0.develop.201803291734git682269f.el7.noarch
tfm-rubygem-foreman_remote_execution-1.4.6-1.fm1_18.el7.noarch
tfm-rubygem-foreman_remote_execution_core-1.1.1-1.fm1_18.el7.noarch

steps:

curl -X GET -u admin:changeme https://<host>/api/v2/job_invocations -k
{
  "total": 3,
  "subtotal": 3,
...

curl -X POST -u admin:changeme https://<host>/api/v2/job_invocations/3/rerun -k -H "Content-Type:application/json"
{"id":4,"targeting_id":4,"job_category":"Commands","task_id":"5f98d92c-d706-4418-9722-dae93a296ad9","task_group_id":4,"triggering_id":4,"description":"Run cat /etc/hosts","concurrency_level":null,"time_span":null,"execution_timeout_interval":null,"password":null,"key_passphrase":null,"remote_execution_feature_id":null} 

curl -X GET -u admin:changeme https://<host>/api/v2/job_invocations -k
{
  "total": 4,
  "subtotal": 4,
...

Comment 8 Peter Ondrejka 2018-07-02 07:54:49 UTC
Verified on Sat 6.4 snap 10 using steps from c#7

Comment 10 errata-xmlrpc 2018-10-16 15:27:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.